openSUSE Security Update : wicked (openSUSE-2020-207)

High Nessus Plugin ID 133645

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for wicked fixes the following issues :

- CVE-2019-18903: Fixed a use-after-free when receiving invalid DHCP6 IA_PD option (bsc#1160904).

- CVE-2020-7217: Fixed a memory leak in DHCP4 fsm when processing packets for other client ids (bsc#1160906).

This update was imported from the SUSE:SLE-15-SP1:Update update project.

Solution

Update the affected wicked packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1160904

https://bugzilla.opensuse.org/show_bug.cgi?id=1160906

Plugin Details

Severity: High

ID: 133645

File Name: openSUSE-2020-207.nasl

Version: 1.3

Type: local

Agent: unix

Published: 2020/02/12

Updated: 2020/03/06

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS Score Source: CVE-2019-18903

CVSS v2.0

Base Score: 7.5

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:wicked, p-cpe:/a:novell:opensuse:wicked-debuginfo, p-cpe:/a:novell:opensuse:wicked-debugsource, p-cpe:/a:novell:opensuse:wicked-service, cpe:/o:novell:opensuse:15.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 2020/02/11

Vulnerability Publication Date: 2020/02/11

Reference Information

CVE: CVE-2019-18903, CVE-2020-7217